Name:           perl-File-Path
Version:        2.18
Release:        2
Summary:        Create or remove directory trees
License:        Artistic-1.0-Perl or GPL-1.0-or-later
URL:            https://metacpan.org/pod/File::Path
Source0:        https://cpan.metacpan.org/authors/id/J/JK/JKEENAN/File-Path-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils findutils make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Test::More) >= 0.44
BuildRequires:  perl(strict) perl(Carp) perl(Cwd) perl(Exporter) perl(File::Basename) perl(File::Spec)
BuildRequires:  perl(vars) perl(base) perl(Config) perl(Errno) perl(Fcntl) perl(File::Spec::Functions)
BuildRequires:  perl(lib) perl(SelectSaver) perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp)

%description
This module provides a convenient way to create directories
of arbitrary depth and to delete an entire directory subtree
from the filesystem.

%package_help

%prep
%autosetup -n File-Path-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*

%files help
%defattr(-,root,root)
%doc Changes
%{_mandir}/man3/*

%changelog
* Tue Oct 25 2022 dongyuzhen <dongyuzhen@h-partners.com> - 2.18-2
- Rebuild for next release

* Sun Dec 26 2021 yuanxin <yuanxin24m@huawei.com> - 2.18-1
- update version to 2.18

* Wed Jul 29 2020 wenzhanli<wenzhanli2@huawei.com> - 2.17-1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:version update 2.17-1

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.16-4
- Change the mod of file

* Sat Aug 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.16-3
- rebuild package

* Mon Aug 26 2019 hexiaowen <hexiaowen@huawei.com> - 2.16-2
- fix type

* Mon Aug 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.16-1
- Package Init

